prompt_pt_calibrated_lut = [
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 7727, 7239, 6819, 6421, 6081, 5759, 5460,
    5200, 4951, 4721, 4522, 4332, 4155, 3992, 3835, 3701, 3567, 3447, 3332, 3231, 3128, 3033, 2946, 2861, 2783, 2711,
    2638, 2570, 2511, 2451, 2388, 2338, 2285, 2234, 2187, 2144, 2099, 2055, 2018, 1982, 1941, 1906, 1872, 1841, 1809,
    1779, 1748, 1719, 1691, 1664, 1639, 1612, 1588, 1565, 1542, 1519, 1497, 1477, 1457, 1435, 1418, 1397, 1379, 1362,
    1344, 1328, 1310, 1294, 1279, 1262, 1247, 1233, 1217, 1204, 1189, 1175, 1162, 1150, 1136, 1124, 1112, 1100, 1088,
    1076, 1064, 1053, 1043, 1031, 1020, 1010, 1000, 989, 979, 970, 959, 951, 940, 932, 923, 914, 905, 896, 887, 879,
    870, 863, 855, 846, 838, 831, 822, 815, 807, 801, 793, 785, 779, 771, 764, 758, 750, 744, 737, 730, 724, 717, 711,
    704, 700, 693, 686, 680, 674, 668, 663, 656, 651, 644, 640, 634, 628, 623, 617, 613, 606, 601, 596, 591, 586, 581,
    576, 571, 566, 561, 556, 552, 547, 542, 537, 533, 528, 523, 519, 515, 509, 506, 500, 497, 492, 488, 483, 480, 476,
    471, 468, 463, 459, 456, 451, 448, 443, 439, 435, 432, 429, 424, 421, 418, 413, 410, 406, 403, 399, 395, 392, 389,
    384, 381, 378, 375, 372, 368, 364, 362, 359, 354, 352, 349, 345, 343, 339, 336, 333, 330, 328, 323, 321, 318, 316,
    312, 310, 306, 304, 300, 298, 296, 293, 289, 287, 284, 282, 280, 276, 273, 271, 269, 265, 263, 261, 259, 255, 252,
    250, 248, 246, 244, 242, 239, 235, 233, 231, 229, 226, 224, 222, 220, 217, 215, 213, 210, 208, 206, 204, 202, 201,
    199, 195, 193, 191, 189, 187, 186, 184, 182, 180, 177, 175, 173, 171, 169, 167, 166, 164, 162, 160, 159, 156, 154,
    153, 151, 148, 147, 145, 143, 142, 140, 138, 137, 135, 134, 132, 131, 128, 126, 125, 123, 122, 120, 118, 116, 115,
    113, 112, 110, 109, 107, 106, 104, 103, 101, 100, 98, 97, 96, 94, 93, 91, 90, 89, 87, 86, 85, 83, 82, 79, 78, 77,
    75, 74, 73, 71, 70, 69, 68, 66, 65, 64, 62, 61, 60, 59, 57, 56, 55, 54, 52, 51, 50, 49, 48, 46, 45, 44, 43, 43, 41,
    40, 39, 38, 37, 36, 34, 33, 32, 31, 30, 29, 28, 27, 25, 24, 23, 22, 21, 21, 20, 19, 18, 17, 16, 14, 13, 12, 11, 10,
    9, 8, 7, 6, 6, 5, 4, 3, 2, 1, 0, 1, 2, 3, 4, 5, 6, 6, 7, 8, 9, 10, 11, 12, 13, 14, 16, 17, 18, 19, 20, 21, 21, 22,
    23, 24, 25, 27, 28, 29, 30, 31, 32, 33, 34, 36, 37, 38, 39, 40, 41, 43, 43, 44, 45, 46, 48, 49, 50, 51, 52, 54, 55,
    56, 57, 59, 60, 61, 62, 64, 65, 66, 68, 69, 70, 71, 73, 74, 75, 77, 78, 79, 82, 83, 85, 86, 87, 89, 90, 91, 93, 94,
    96, 97, 98, 100, 101, 103, 104, 106, 107, 109, 110, 112, 113, 115, 116, 118, 120, 122, 123, 125, 126, 128, 131, 132,
    134, 135, 137, 138, 140, 142, 143, 145, 147, 148, 151, 153, 154, 156, 159, 160, 162, 164, 166, 167, 169, 171, 173,
    175, 177, 180, 182, 184, 186, 187, 189, 191, 193, 195, 199, 201, 202, 204, 206, 208, 210, 213, 215, 217, 220, 222,
    224, 226, 229, 231, 233, 235, 239, 242, 244, 246, 248, 250, 252, 255, 259, 261, 263, 265, 269, 271, 273, 276, 280,
    282, 284, 287, 289, 293, 296, 298, 300, 304, 306, 310, 312, 316, 318, 321, 323, 328, 330, 333, 336, 339, 343, 345,
    349, 352, 354, 359, 362, 364, 368, 372, 375, 378, 381, 384, 389, 392, 395, 399, 403, 406, 410, 413, 418, 421, 424,
    429, 432, 435, 439, 443, 448, 451, 456, 459, 463, 468, 471, 476, 480, 483, 488, 492, 497, 500, 506, 509, 515, 519,
    523, 528, 533, 537, 542, 547, 552, 556, 561, 566, 571, 576, 581, 586, 591, 596, 601, 606, 613, 617, 623, 628, 634,
    640, 644, 651, 656, 663, 668, 674, 680, 686, 693, 700, 704, 711, 717, 724, 730, 737, 744, 750, 758, 764, 771, 779,
    785, 793, 801, 807, 815, 822, 831, 838, 846, 855, 863, 870, 879, 887, 896, 905, 914, 923, 932, 940, 951, 959, 970,
    979, 989, 1000, 1010, 1020, 1031, 1043, 1053, 1064, 1076, 1088, 1100, 1112, 1124, 1136, 1150, 1162, 1175, 1189,
    1204, 1217, 1233, 1247, 1262, 1279, 1294, 1310, 1328, 1344, 1362, 1379, 1397, 1418, 1435, 1457, 1477, 1497, 1519,
    1542, 1565, 1588, 1612, 1639, 1664, 1691, 1719, 1748, 1779, 1809, 1841, 1872, 1906, 1941, 1982, 2018, 2055, 2099,
    2144, 2187, 2234, 2285, 2338, 2388, 2451, 2511, 2570, 2638, 2711, 2783, 2861, 2946, 3033, 3128, 3231, 3332, 3447,
    3567, 3701, 3835, 3992, 4155, 4332, 4522, 4721, 4951, 5200, 5460, 5759, 6081, 6421, 6819, 7239, 7727, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191
]

disp_pt_calibrated_lut = [
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8108, 7544, 7049, 6582, 6173, 5786,
    5420, 5101, 4799, 4538, 4265, 4052, 3827, 3612, 3429, 3254, 3105, 2945, 2810, 2696, 2571, 2452, 2352, 2256, 2164,
    2076, 1991, 1921, 1854, 1778, 1727, 1667, 1609, 1553, 1508, 1457, 1415, 1375, 1336, 1298, 1262, 1227, 1199, 1166,
    1141, 1110, 1086, 1063, 1034, 1012, 991, 971, 951, 931, 912, 894, 880, 863, 846, 834, 818, 806, 791, 780, 769, 755,
    744, 734, 724, 712, 705, 693, 684, 675, 667, 661, 650, 645, 637, 629, 622, 614, 607, 602, 595, 591, 584, 578, 573,
    567, 561, 556, 550, 546, 541, 537, 533, 527, 524, 518, 515, 511, 506, 503, 499, 494, 491, 488, 484, 480, 476, 473,
    470, 466, 464, 460, 457, 454, 451, 448, 445, 442, 439, 437, 432, 430, 427, 424, 421, 420, 417, 415, 412, 409, 407,
    404, 402, 399, 396, 395, 391, 389, 387, 385, 382, 380, 377, 376, 373, 371, 368, 366, 364, 362, 359, 358, 354, 353,
    350, 349, 345, 344, 342, 340, 338, 335, 334, 332, 329, 328, 325, 323, 321, 319, 318, 315, 312, 310, 309, 307, 305,
    302, 301, 298, 297, 294, 293, 290, 288, 287, 284, 283, 281, 279, 277, 275, 273, 271, 269, 267, 265, 263, 261, 259,
    257, 256, 253, 252, 249, 248, 245, 244, 241, 240, 238, 237, 234, 233, 230, 229, 226, 224, 223, 220, 219, 217, 216,
    213, 210, 209, 208, 206, 203, 202, 200, 198, 196, 195, 193, 191, 189, 188, 185, 183, 182, 181, 179, 176, 175, 173,
    171, 171, 168, 166, 165, 162, 160, 159, 158, 156, 153, 153, 150, 149, 148, 146, 145, 142, 140, 139, 137, 136, 135,
    132, 132, 129, 127, 126, 125, 123, 122, 120, 118, 116, 115, 113, 112, 110, 109, 108, 106, 103, 103, 101, 101, 98,
    97, 95, 94, 92, 91, 90, 88, 87, 86, 84, 81, 81, 80, 77, 77, 76, 73, 73, 71, 69, 69, 67, 66, 66, 63, 62, 62, 60, 58,
    58, 57, 54, 54, 53, 52, 50, 49, 48, 47, 45, 44, 43, 42, 42, 39, 38, 38, 37, 36, 34, 34, 33, 31, 30, 30, 28, 27, 26,
    26, 25, 24, 23, 22, 21, 20, 19, 17, 17, 16, 15, 14, 13, 13, 13, 11, 10, 10, 9, 8, 7, 6, 6, 5, 4, 3, 3, 2, 2, 1, 0,
    1, 2, 2, 3, 3, 4, 5, 6, 6, 7, 8, 9, 10, 10, 11, 13, 13, 13, 14, 15, 16, 17, 17, 19, 20, 21, 22, 23, 24, 25, 26, 26,
    27, 28, 30, 30, 31, 33, 34, 34, 36, 37, 38, 38, 39, 42, 42, 43, 44, 45, 47, 48, 49, 50, 52, 53, 54, 54, 57, 58, 58,
    60, 62, 62, 63, 66, 66, 67, 69, 69, 71, 73, 73, 76, 77, 77, 80, 81, 81, 84, 86, 87, 88, 90, 91, 92, 94, 95, 97, 98,
    101, 101, 103, 103, 106, 108, 109, 110, 112, 113, 115, 116, 118, 120, 122, 123, 125, 126, 127, 129, 132, 132, 135,
    136, 137, 139, 140, 142, 145, 146, 148, 149, 150, 153, 153, 156, 158, 159, 160, 162, 165, 166, 168, 171, 171, 173,
    175, 176, 179, 181, 182, 183, 185, 188, 189, 191, 193, 195, 196, 198, 200, 202, 203, 206, 208, 209, 210, 213, 216,
    217, 219, 220, 223, 224, 226, 229, 230, 233, 234, 237, 238, 240, 241, 244, 245, 248, 249, 252, 253, 256, 257, 259,
    261, 263, 265, 267, 269, 271, 273, 275, 277, 279, 281, 283, 284, 287, 288, 290, 293, 294, 297, 298, 301, 302, 305,
    307, 309, 310, 312, 315, 318, 319, 321, 323, 325, 328, 329, 332, 334, 335, 338, 340, 342, 344, 345, 349, 350, 353,
    354, 358, 359, 362, 364, 366, 368, 371, 373, 376, 377, 380, 382, 385, 387, 389, 391, 395, 396, 399, 402, 404, 407,
    409, 412, 415, 417, 420, 421, 424, 427, 430, 432, 437, 439, 442, 445, 448, 451, 454, 457, 460, 464, 466, 470, 473,
    476, 480, 484, 488, 491, 494, 499, 503, 506, 511, 515, 518, 524, 527, 533, 537, 541, 546, 550, 556, 561, 567, 573,
    578, 584, 591, 595, 602, 607, 614, 622, 629, 637, 645, 650, 661, 667, 675, 684, 693, 705, 712, 724, 734, 744, 755,
    769, 780, 791, 806, 818, 834, 846, 863, 880, 894, 912, 931, 951, 971, 991, 1012, 1034, 1063, 1086, 1110, 1141, 1166,
    1199, 1227, 1262, 1298, 1336, 1375, 1415, 1457, 1508, 1553, 1609, 1667, 1727, 1778, 1854, 1921, 1991, 2076, 2164,
    2256, 2352, 2452, 2571, 2696, 2810, 2945, 3105, 3254, 3429, 3612, 3827, 4052, 4265, 4538, 4799, 5101, 5420, 5786,
    6173, 6582, 7049, 7544, 8108, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191,
    8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191, 8191
]

dxy_calibrated_lut = [
    0, 0, 1, 1, 1, 1, 2, 2, 2, 2, 3, 3, 3, 3, 4, 4, 4, 4, 5, 5, 5, 5, 6, 6, 6, 6, 7, 7, 7, 8, 8, 8, 8, 9, 9, 9, 9, 10,
    10, 10, 10, 11, 11, 11, 11, 12, 12, 12, 12, 13, 13, 13, 15, 15, 15, 15, 16, 16, 16, 16, 17, 17, 17, 17, 18, 18, 18,
    18, 19, 19, 19, 19, 20, 20, 20, 20, 21, 21, 21, 22, 22, 22, 22, 23, 23, 23, 23, 24, 24, 24, 24, 25, 25, 25, 25, 26,
    26, 26, 26, 27, 27, 27, 27, 28, 28, 28, 29, 29, 29, 29, 30, 30, 30, 30, 31, 31, 31, 31, 32, 32, 32, 32, 33, 33, 33,
    33, 34, 34, 34, 35, 35, 35, 35, 36, 36, 36, 36, 37, 37, 37, 37, 38, 38, 38, 38, 39, 39, 39, 39, 39, 39, 39, 39, 41,
    41, 41, 42, 42, 42, 42, 43, 43, 43, 43, 44, 44, 44, 44, 45, 45, 45, 45, 46, 46, 46, 46, 47, 47, 47, 47, 48, 48, 48,
    49, 49, 49, 49, 50, 50, 50, 50, 51, 51, 51, 51, 52, 52, 52, 52, 53, 53, 53, 53, 54, 54, 54, 55, 55, 55, 55, 56, 56,
    56, 56, 57, 57, 57, 57, 58, 58, 58, 58, 59, 59, 59, 59, 60, 60, 60, 60, 61, 61, 61, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62, 62,
    62, 62, 62, 62, 62, 62, 62, 62, 62, 62, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63, -63,
    -63, -63, -63, -63, -63, -63, -63, -63, -62, -62, -62, -62, -61, -61, -61, -60, -60, -60, -60, -59, -59, -59, -59,
    -58, -58, -58, -58, -57, -57, -57, -57, -56, -56, -56, -56, -55, -55, -55, -55, -54, -54, -54, -53, -53, -53, -53,
    -52, -52, -52, -52, -51, -51, -51, -51, -50, -50, -50, -50, -49, -49, -49, -49, -48, -48, -48, -47, -47, -47, -47,
    -46, -46, -46, -46, -45, -45, -45, -45, -44, -44, -44, -44, -43, -43, -43, -43, -42, -42, -42, -42, -41, -41, -41,
    -39, -39, -39, -39, -39, -39, -39, -39, -38, -38, -38, -38, -37, -37, -37, -37, -36, -36, -36, -36, -35, -35, -35,
    -35, -34, -34, -34, -33, -33, -33, -33, -32, -32, -32, -32, -31, -31, -31, -31, -30, -30, -30, -30, -29, -29, -29,
    -29, -28, -28, -28, -27, -27, -27, -27, -26, -26, -26, -26, -25, -25, -25, -25, -24, -24, -24, -24, -23, -23, -23,
    -23, -22, -22, -22, -22, -21, -21, -21, -20, -20, -20, -20, -19, -19, -19, -19, -18, -18, -18, -18, -17, -17, -17,
    -17, -16, -16, -16, -16, -15, -15, -15, -15, -13, -13, -13, -12, -12, -12, -12, -11, -11, -11, -11, -10, -10, -10,
    -10, -9, -9, -9, -9, -8, -8, -8, -8, -7, -7, -7, -6, -6, -6, -6, -5, -5, -5, -5, -4, -4, -4, -4, -3, -3, -3, -3, -2,
    -2, -2, -2, -1, -1, -1, -1, 0
]
